%define oname   unicorn

Name:       ruby-%{oname}
Version:    4.6.3
Release:    %mkrel 5
Summary:    Rack HTTP server for fast clients and Unix
License:    Ruby License or GPLv2
Group:      Development/Ruby
URL:        http://unicorn.bogomips.org/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(isolate)
BuildRequires: rubygem(tidy_ffi)
BuildRequires: rubygem(wrongdoc)
BuildRequires: ruby-devel

%description
\Unicorn is an HTTP server for Rack applications designed to only serve
fast clients on low-latency, high-bandwidth connections and take
advantage of features in Unix/Unix-like kernels.  Slow clients should
only be served by placing a reverse proxy capable of fully buffering
both the the request and response in between \Unicorn and slow clients.

%files
%doc FAQ README TUNING PHILOSOPHY HACKING DESIGN CONTRIBUTORS LICENSE SIGNALS KNOWN_ISSUES TODO ChangeLog LATEST ISSUES Sandbox NEWS examples/ Documentation/
%{_bindir}/unicorn
%{_bindir}/unicorn_rails
%{_mandir}/man1/%{oname}*.1.*
%dir %{gem_instdir}/
%{gem_instdir}/bin
%{gem_instdir}/lib
%{gem_spec}
%{gem_extdir_mri}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc Application_Timeouts Links
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/script
%doc %{gem_instdir}/test
%doc %{gem_instdir}/t
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
export VERSION=%{version}
%gem_build

%install
export VERSION=%{version}
%gem_install
rm -rf %{buildroot}%{gem_extdir_mri}/ext

# Fix some really stupid shebang WTF
sed -i -e 's|#!.*|#!/usr/bin/env ruby|' %{buildroot}%{gem_instdir}/bin/*

# Install manpages
%{__install} -d %{buildroot}%{_mandir}/man1/
%{__install} -m644 man/man1/unicorn.1 %{buildroot}%{_mandir}/man1/
%{__install} -m644 man/man1/unicorn_rails.1 %{buildroot}%{_mandir}/man1

rm -rf %{buildroot}%{gem_instdir}/{man,Documentation}


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 4.6.3-5.mga4
+ Revision: 562751
- Fix gem macros

* Sat Dec 21 2013 pterjan <pterjan> 4.6.3-4.mga4
+ Revision: 559597
- Fix forgotten buildroot

* Sat Dec 21 2013 pterjan <pterjan> 4.6.3-3.mga4
+ Revision: 559591
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 4.6.3-2.mga4
+ Revision: 538293
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 4.6.3-1.mga4
+ Revision: 489224
- Add more missing BuildRequires
- Add missing BuildRequires
- Use gem_setup
- Update file lists
- 4.6.3

* Fri Feb 08 2013 umeabot <umeabot> 4.4.0-3.mga3
+ Revision: 396600
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 4.4.0-2.mga3
+ Revision: 381621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 4.4.0-1.mga3
+ Revision: 313103
- update file list
- new version 4.4.0

* Wed Apr 06 2011 shikamaru <shikamaru> 3.5.0-1.mga1
+ Revision: 81484
- imported package ruby-unicorn


* Fri Apr 01 2011 Rémy Clouard <shikamaru@mandriva.org> - 3.5.0-1
- Initial package
